package com.menutoday.dao.model;

import org.springframework.security.core.GrantedAuthority;

/**
 * 
 * @author igomezuoc
 *
 */
public class Perfil implements GrantedAuthority {

	private static final long serialVersionUID = 1L;
	private String nombrePerfil;

	public Perfil(String nombrePerfil) {
		super();
		this.nombrePerfil = nombrePerfil;
	}

	public Perfil() {
	}

	public String getNombrePerfil() {
		return this.nombrePerfil;
	}

	public void setNombrePerfil(String nombrePerfil) {
		this.nombrePerfil = nombrePerfil;
	}

	@Override
	public String getAuthority() {
		return this.nombrePerfil;
	}

}
