<!--
SNIPPETS
Name: LListat de Restaurants
Version: 1.0
Created: 14 Abril 2014

AUTHOR
Design and code by: Ivan Gomez Lozano

CREDITS
Fonts: http://www.google.com/fonts (Alef)

SUPPORT
E-mail: gomezl.ivan@gmail.com
-->
 	<% session.setAttribute("screenTitle", "Meus Restaurants"); %>
	<%@include file="../../resta-navbar.jsp" %>
 

    <br/>
    <div class="container">
    
    <!-- 
		    The Bootstrap 3 grid system has four tiers of classes: xs (phones), sm (tablets), md (desktops), and lg (larger desktops). 
		    You can use nearly any combination of these classes to create more dynamic and flexible layouts.
     -->
     
     <div class="input-group input-group-lg">
  		<span class="input-group-addon"><i class="glyphicon glyphicon-time"></i></span>
  		<input id="timepicker1" type="text" class="form-control" readonly="readonly"  style="text-align: center;">
	</div>
     

     <form class="navbar-form" role="search">
	     <div class="input-group">
	         <input type="text" class="form-control" placeholder="Search" name="srch-term" id="srch-term">
	         <div class="input-group-btn">
	             <button class="btn btn-default" type="submit"><i class="glyphicon glyphicon-search"></i></button>
	         </div>
	     </div>
     </form>


    <!-- Creaci d'una fila amb el contigut del restaurant. Texte + Foto + Arribada + Valoraci -->
	<div class="panel panel-primary">		
		<div class="panel-heading">
			<b>Nom del Restaurant</b>
		</div>
		<div class="panel-body">
			<div class="row">
				<div class="col-xs-3 col-lg-3">
					<img src="img/thumbails/dummy1.jpg" style="min-height:50px;height:50px;">
				</div>
				<div class="col-xs-9 col-lg-9">
					Direcci Calle xxxx Nmero 34 fksdfsd fsd fsda fsda 
				</div>
			</div>
			<div class="row">
				<div class="col-xs-8">
					<br/>
					Reserves:<b>5</b> &nbsp;
					<a href="<%=request.getContextPath()%>/menutoday/restaurant/reserves"><span class="glyphicon glyphicon-user"></span><span class="glyphicon glyphicon-user"></span></a>
				</div>
				<div class="col-xs-4">
					<br/>
					<div style="text-align: right">
						<a href="<%=request.getContextPath()%>/menutoday/restaurant/menu">
							<span class="glyphicon glyphicon-cutlery" style="font-size:20px;"></span>
						</a>
					</div>
				</div>					
			</div>
		</div>
	</div>    

	<div class="panel panel-primary">		
		<div class="panel-heading">
			<b>Nom del Restaurant 22</b>
		</div>
		<div class="panel-body">
			<div class="row">
				<div class="col-xs-3 col-lg-3">
					<img src="img/thumbails/dummy1.jpg" style="min-height:50px;height:50px;">
				</div>
				<div class="col-xs-9 col-lg-9">
					Direcci Calle xxxx Nmero 34 fksdfsd fsd fsda fsda 
				</div>
			</div>
			<div class="row">
				<div class="col-xs-8">
					<br/>
					Reserves:<b>15</b> &nbsp;
					<a href="<%=request.getContextPath()%>/menutoday/restaurant/reserves"><span class="glyphicon glyphicon-user"></span><span class="glyphicon glyphicon-user"></span></a>
				</div>

				<div class="col-xs-4">
					<br/>
					<div style="text-align: right">
						<a href="<%=request.getContextPath()%>/menutoday/restaurant/menu">
							<span class="glyphicon glyphicon-cutlery" style="font-size:20px;"></span>
						</a>
					</div>
				</div>					
			</div>
		</div>
	</div>  

		<%@include file="../../footer.jsp" %>
    </div>

    <script>
	    $('#timepicker1').timepicker({
	        defaultTime: 'current',
	        minuteStep: 1,
	        secondStep: 1,
	        disableFocus: false,
	        showSeconds: true,
	        showMeridian: false
	    });
    </script>