<!--
SNIPPETS
Name: Sollicituds rebudes
Version: 1.0
Created: 14 Abril 2014

AUTHOR
Design and code by: Ivan Gomez Lozano

CREDITS
Fonts: http://www.google.com/fonts (Alef)

SUPPORT
E-mail: gomezl.ivan@gmail.com
-->
	<%@page import="com.menutoday.utils.LoginUtils"%>
	
 	<% session.setAttribute("screenTitle", "Sollicituds rebudes"); %>
	<%@include file="../../resta-navbar.jsp" %>
 
    <br/>
    <div class="container">
    
    <div class="bs-solicituds"></div>
    
    <br/>
    
	<table class="table table-striped">
	<tbody>  
          <tr>  
            <td>
			  <div class="btn-group">
			    <button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown">
			      Filtre
			      <span class="caret"></span>
			    </button>
			    <ul class="dropdown-menu">
			      <li><a href="#">Acceptades</a></li>
			      <li><a href="#">Pendents</a></li>
			      <li><a href="#">Totes</a></li>
			    </ul>
			  </div>
			 </td> 
			<td align="right" style="vertical-align: middle;">Ordenaci sollicituds per ... </td>  			 
          </tr>
     </tbody>	
	</table> 

    <!-- Jquery + Json -> Creaci d'una fila amb el contigut de les solicituds, es a dir els restaurant. Texte + Foto + . -->
	<div class="solicituds-panels"></div>
		
	<div class="span">
		<p><button id="confirmar" class="btn btn-primary btn-block">Confirmar</button></p>
	</div>

		
		<%@include file="../../footer.jsp" %>
    </div>
    
    <script>
    
	$(document).ready(function(){
		$('#confirmar').click (function() {
			var ids = "";
			$('.my-checkbox').each(function() {
				if ($(this).is(':checked')) {
					ids+=($(this).attr('id')) + ",";
				}
			});
			if (ids!="") {
				ids = ids.substring (0, ids.length-1);
			    $.ajax ({
			    	url: "<%=request.getContextPath()%>/menutoday/users/rest/approveSolicituds/<%=LoginUtils.getUserName()%>/"+ ids,
			    	dataType: "json",
			    	type: "PUT",
			    	success: function ( data ) {
			    		$(".bs-solicituds").empty ();
			    		$(".bs-solicituds").append (createSuccessMsg("Sollicituts aprovades correctament."));
			    		window.scrollTo (0,0);
			    	},
			    	error: function () {
			    		$(".bs-solicituds").empty ();
			    		$(".bs-solicituds").append (createWarningMsg("S'ha produit un error al aprovar les sollicituts pendents."));
			    		window.scrollTo (0,0);
			    	}
			    }); 				
			}
		});
	});
    
     $('.solicituds-panels').empty();
	   $.ajax ({
	    	url: "<%=request.getContextPath()%>/menutoday/users/rest/getSolicituds/<%=LoginUtils.getUserName()%>/pendents",
	    	dataType: "json",
	    	success: function ( data ) {
	    		if (data != null && data.length > 0) {
		    		$.each (data, function(i, item) {
			    		$('.solicituds-panels').append (
					    		$('<div/>', {
					    			class: 'panel panel-primary',
					    			html: createPanel (item, i)
					    		})	
					    );    		
		    		});
	    		} else {
	    			$(".bs-solicituds").append (createSuccessMsg("No hi ha sollicituts pendents."));
	    		}
	    	},
	    	error: function () {
	    		alert ('Error getting JSON Data');
	    	}
	    }); 
	   
	    function createPanel (item, i) {
	    	var x =
			'<div class="panel-heading">'+
				'<b>' + item.nom + '</b>'+
			'</div>'+
			'<div class="panel-body">'+
				'<div class="row">'+
					'<div class="col-xs-3 col-lg-3">'+
						'<img src="'+ item.thumbail + '" style="min-height:50px;height:50px;">'+
					'</div>'+
					'<div class="col-xs-9 col-lg-3">'+
						'<b>Comentaris: </b><br/>'+
						item.comentarisAlta +
					'</div>'+
				'</div>'+
				'<div class="row">'+
					'<div class="col-xs-3 col-lg-3">'+
						'&nbsp;'+
					'</div>'+		
					'<div class="col-xs-6 col-lg-6">'+
						item.direccio + " (" + item.poblacio + ")"+
					'</div>'+	
					'<div class="col-xs-3 col-lg-3">'+
						'<input id="'+item.id+'" type="checkbox" name="my-checkbox" class="my-checkbox">'+
					'</div>'+													
				'</div>'+
			'</div>';
			return x;
	    }
    </script>
</body>
</html>