<!--
SNIPPETS
Name: Users Menu Inici
Version: 1.0
Created: 14 Abril 2014

AUTHOR
Design and code by: Ivan Gomez Lozano

CREDITS
Fonts: http://www.google.com/fonts (Alef)

SUPPORT
E-mail: gomezl.ivan@gmail.com
-->
 	<%@page import="com.menutoday.utils.LoginUtils"%>
	
	<% session.setAttribute("screenTitle", "Benvingut " + LoginUtils.getUserName()); %>
	
	<%@include file="../../navbar.jsp" %>
 
    <br/>
    <div class="container">

     <div class="input-group input-group-lg">
  		<span class="input-group-addon"><i class="glyphicon glyphicon-time"></i></span>
  		<input id="datepicker2" data-provide="datepicker" class="form-control" readonly="readonly" type="text" style="text-align: center;">
  		<input id="timepicker1" type="text" class="form-control" readonly="readonly"  style="text-align: center;">
	</div>    
    	<br/>
	   	<div class="bs-example"></div>  
	    <br/>
		<div class="list-group">
		  <a href="<%=request.getContextPath()%>/menutoday/users/meus-restaurants" class="list-group-item">
		  	<span class="glyphicon glyphicon-cutlery"></span>
		  	<b>&nbsp;&nbsp; Meus Restaurants</b>
		  	<span class="badge">
		  		<span class="glyphicon glyphicon-chevron-right"></span>
		  	</span>
		  </a>
		  <a href="<%=request.getContextPath()%>/menutoday/users/reserva-confirmada" class="list-group-item">
		    <span class="glyphicon glyphicon-briefcase"></span>
		  	<b>&nbsp;&nbsp; Reserves</b>
		  	<span class="badge">
		  		<span class="glyphicon glyphicon-chevron-right"></span>
		  	</span>
		  </a>
		  <a href="<%=request.getContextPath()%>/menutoday/users/promocions" class="list-group-item">
		    <span class="glyphicon glyphicon-heart"></span>
		  	<b>&nbsp;&nbsp; Promocions</b>
		  	<span class="badge">
		  		<span class="glyphicon glyphicon-chevron-right"></span>
		  	</span>
		  </a>
         <%	if (LoginUtils.isRoleAdministrador()) { %>
		  <a href="<%=request.getContextPath()%>/menutoday/solicituds/alta" class="list-group-item">
		    <span class="glyphicon glyphicon-book"></span>
		  	<b>&nbsp;&nbsp; Sollicitud Alta</b>
		  	<span class="badge">
		  		<span class="glyphicon glyphicon-chevron-right"></span>
		  	</span>
		  </a>	
		   <% } %>	
		  <a href="<%=request.getContextPath()%>/menutoday/j_spring_security_logout" class="list-group-item">
		    <span class="glyphicon glyphicon-log-out"></span>
		  	<b>&nbsp;&nbsp; Tancar Sessi</b>
		  	<span class="badge">
		  		<span class="glyphicon glyphicon-chevron-right"></span>
		  	</span>
		  </a>				  		  
		</div>

		<%@include file="../../footer.jsp" %>
    </div>


    <!-- Script to Activate the Carousel -->
    <script>
    $('.carousel').carousel({
        interval: 5000
    });
   	
    $('#timepicker1').timepicker({
        defaultTime: 'current',
        minuteStep: 1,
        secondStep: 1,
        disableFocus: false,
        showSeconds: true,
        showMeridian: false,
        showWidgetOnAddonClick: false
    });
    
    $('#datepicker2').val(showLocalDate());
    
    // Obtenir el carrosel d'imatges
    $.ajax ({
    	url: "<%=request.getContextPath()%>/menutoday/users/rest/restaurants/slides/<%=LoginUtils.getUserName()%>/"+showLocalDate2(),
    	dataType: "json",
    	success: function ( data ) {
    		//alert (data);
    		$('.bs-example').append(data);
    	},
    	error: function () {
    		alert ('Error getting JSON Data');
    	}
    });
    
    </script>
