<!--
SNIPPETS
Name: Users Meus Restaurants
Version: 1.0
Created: 14 Abril 2014

AUTHOR
Design and code by: Ivan Gomez Lozano

CREDITS
Fonts: http://www.google.com/fonts (Alef)

SUPPORT
E-mail: gomezl.ivan@gmail.com
-->
	<%@page import="com.menutoday.utils.LoginUtils"%>
 	<% session.setAttribute("screenTitle", "Meus Restaurants"); %>
	<%@include file="../../navbar.jsp" %>
 

    <br/>
    <div class="container">
    	<div class="bs-restaurants"></div>
		<table class="table table-striped">
			<tbody>  
		          <tr>  
		            <td>
					  <div class="btn-group">
					    <button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown">
					      Filtre
					      <span class="caret"></span>
					    </button>
					    <ul class="dropdown-menu">
					      <li class="active"><a id="nom" data-target="#" href="#">Nom</a></li>
					      <li><a id="valoracio" data-target="#" href="#">Valoraci</a></li>
	<!-- 				      <li><a id="proximitat" data-target="#" href="#">Proximitat</a></li> -->
					      <li><a id="preu" data-target="#" href="#">Millor Preu</a></li>
					    </ul>
					  </div>
					 </td> 
					<td align="right" style="vertical-align: middle;">Ordenaci restaurants per <span id="order-resta-name" class="arrivada">nom</span></td>  			 
		          </tr>
		     </tbody>	
		</table>    
	    
	    <!-- Jquery + Json -> Creaci d'una fila amb el contigut del restaurant. Texte + Foto + Arribada + Valoraci. -->
		<div class="restaurants-panels"></div>
	
		<%@include file="../../footer.jsp" %>
    </div>
    <!-- /.container -->
    
    <script>
    	$(document).ready(function(){
			$(document).delegate(".panel-heading", "click", function() {
				redirectTo ($(this).find("a").attr("href"));
			});
			
			$(document).delegate(".panel-body,.panel-footer", "click", function() {
				redirectTo (($(this).parent()).find(".panel-heading").find("a").attr("href"));
			});
			
			/*$(window).bind("load", function() { 
				//$('.arrivada-person0').append ("dummy");
				$.each (".panel-body", function () {
					alert ('hello');
				});
			});*/
    	});

    	// Codi per poder realitzar crides sincrones entre mtodes asincrons
    	var PendingRequests = 0;
    	function Start(Requests) {
    	    PendingRequests = Requests.length;
    	    for (var i = 0; i < Requests.length; i++) {
    	        Requests[i]();
    	    }
    	};
    	// Es crida quan la crida asincrona s'ha completat
    	function Done(CompletedEvents) {
	    	PendingRequests--;
    	    if (PendingRequests == 0) {
    	        for (var i = 0; i < CompletedEvents.length; i++) {
    	            CompletedEvents[i]();
    	        }
    	    }
    	}
    	
    	// model generic per a crear classes
    	var Class = function(methods) {   
    	    var klass = function() {    
    	        this.initialize.apply(this, arguments);          
    	    };  
    	    
    	    for (var property in methods) { 
    	       klass.prototype[property] = methods[property];
    	    }
    	          
    	    if (!klass.prototype.initialize) klass.prototype.initialize = function(){};      
    	    
    	    return klass;    
    	};
    	
    	// class distances per a manipular les dades amb google maps
    	var Distance = Class({ 
    	    initialize: function(distance, duration, from, to) {
    	        this.distance = distance;
    	        this.duration  = duration;
    	        this.from  = from;
    	        this.to  = to;
    	    },
    	    toString: function() {
    	        return "Distance: "+this.distance+" duration: "+this.duration +" from: " + this.from  + " to: " + to;
    	    }
    	}); 
    	
    	var distances = new Array ();
    	var globalOrder = "nom";
    	var currentPos = null;
    	
		//geolocation
		if (navigator.geolocation) {
			var timeoutVal = 10 * 1000 * 1000;
			navigator.geolocation.getCurrentPosition(
				displayPosition, 
				displayError,
				{ enableHighAccuracy: true, timeout: timeoutVal, maximumAge: 0 }
			);
		}
		else {
			alert("Geolocation no est suportat en aquest navegador.");
		}

		// mostrar erros si la geolocalitzacio no es possible
		function displayError(error) {
			currentPos=null;
			var errors = { 
				1: 'Denegat Accs a la ubicaci',
				2: 'Posici no disponible.',
				3: 'Temps mxim espera esgotat'
			};
			$(".bs-restaurants").append (createWarningMsg(errors[error.code]));
			calculateMatrixDistances (null, globalOrder);
		}

		// mostrar la informacio amb la matrix de distances segons l'api de google
		function displayPosition (position) {
			currentPos = new google.maps.LatLng(position.coords.latitude, position.coords.longitude);
			$(".bs-restaurants").empty ();
			calculateMatrixDistances (currentPos, globalOrder);
		}
		
		
		// creacio dels restaurants amb la posicio actual (o null si no s'ha obtingut) i la ordenacio
		function calculateMatrixDistances (currentPos, order) {
			//alert (currentPos);
			if (currentPos != null) {
				  var origen = new Array (); 					  
				  var destination = new Array();
				  origen[0] = currentPos;				  
		 	 	   $.ajax ({
		 		    	url: "<%=request.getContextPath()%>/menutoday/users/rest/restaurants/<%=LoginUtils.getUserName()%>/" + order,
		 		    	dataType: "json",
		 		    	success: function ( data ) {
		 		    		var z=0;
		 		    		$.each (data, function(i, item) {
		 		    			destination[z++] = item.direccio + "," + item.poblacio;
		 		    		});
		 		    		
		 		    		Start(new Array(GetDistances(origen, destination)));
		 		    		
		 		    	},
		 		    	error: function () {
		 		    		alert ('Error getting JSON Data');
		 		    	}
		 		    }); 	    													
				
			} else {
				reloadPanels (globalOrder, null); 
			}
			
		}
		
		// api de google per obtenir la matrix de distancies
		function GetDistances(originAddress, destAddress) {			
		    distService = new google.maps.DistanceMatrixService();
		    distService.getDistanceMatrix(
		    {
		        origins: originAddress, 
		        destinations: destAddress,
		        travelMode: google.maps.TravelMode.WALKING,
		        unitSystem: google.maps.UnitSystem.METRIC,
		        avoidHighways: false,
		        avoidTolls: false
		    }, GetDistancesComplete);
		}
		
		// funcio callback de l'api de google map per tractar la resposta del servei de google
		function GetDistancesComplete(response, status) {
			  distances = new Array ();
			  if (status == google.maps.DistanceMatrixStatus.OK) {
				    var origins = response.originAddresses;
				    var destinations = response.destinationAddresses;
				    for (var i = 0; i < origins.length; i++) {
				      var results = response.rows[i].elements;
				      for (var j = 0; j < results.length; j++) {
				        var element = results[j];
				        var distance = element.distance.text;
				        var duration = element.duration.text;
				        var from = origins[i];
				        var to = destinations[j];
				        distances[j] = new Distance (distance, duration, from, to);
				      }
				    }
				}
			  
			 Done(new Array(PrintDetails(distances)));
			  
		}

		// Funcio que transforma una crida asncrona en sncrona. (Despres de cridar les funcions de google)
		function PrintDetails(arrayDistances) {			
		    reloadPanels (globalOrder, arrayDistances);
		}
		
		// Carregar els panels amb la informacio dels restaurants
 	    function reloadPanels (order, arrayDistances) {
 	      $('.restaurants-panels').empty();
 	 	   $.ajax ({
 		    	url: "<%=request.getContextPath()%>/menutoday/users/rest/restaurants/<%=LoginUtils.getUserName()%>/" + order,
 		    	dataType: "json",
 		    	success: function ( data ) {
 		    		$.each (data, function(i, item) {
 			    		$('.restaurants-panels').append (
 					    		$('<div/>', {
 					    			class: 'panel panel-primary',
 					    			html: createPanel (item, i, arrayDistances)
 					    		})	
 					    );    		
 		    		});
 		    	},
 		    	error: function () {
 		    		alert ('Error getting JSON Data');
 		    	}
 		    }); 	    	
 	    }
 	   
		// Dibuixar els headers del panells
	    function createHeading (item, i) {
	    	var elm1 = '<b>' + item.nom + '</b>';
	    	var elm2 =  '<div class="panel-heading" > '+
							elm1 +
							'<div class="btn-group pull-right"> ' + 
								'<a href="/menuapp/menutoday/users/reserves/?rest=' + item.id +'">' +
			    					'<span class="badge"> ' +
			    						'<span class="glyphicon glyphicon-chevron-right"></span>' +
			    					'</span>'+
			    				'</a>'+
							'</div>'+
						'</div>';
			return elm2;
	    }
	    
		// Dibuixar els body dels panells
	    function createBody (item, i, arrayDistances) {
	    	var elemComentaris = createComentaris (item.valoracio);
	    	
	    	var elmBody = '<div class="panel-body">' + 
		    				  	'<div class="row">'+
		    				  		'<div class="col-xs-4 col-lg-3">' +
		    				  			'<img src="'+ item.thumbail +'" style="min-height:50px;height:50px;">' +
		    				  		'</div>' +
		    				  		'<div class="col-xs-8 col-lg-9">' +
		    				  			item.direccio + " (" + item.poblacio + ")"+
		    				  			'<br/>'+
		    				  			'<b>Preu: </b>' + item.preuMenu+ ' euros<br/>' +
		    				  			'<b>Servei a domicili: </b>' + item.serveiDomicili + 
		    				  		'</div>' +
	    				  		'</div>' +
    				  		'</div>'+
    				  		'<div class="panel-footer">' + 
	    				  		'<div class="row">'+
		    				  		'<div class="col-xs-6">'+
		    				  			getGifArrivada (false) + 	    				  			
		    				  		'</div>'+
		    				  		'<div class="col-xs-6">'+
		    				  			'<div style="text-align:right">'+
		    				  				elemComentaris +
		    				  			'</div>'+
		    				  		'</div>' +
	   				  			'</div>' +  	
	    				  		'<div class="row">'+
		    				  		'<div class="col-xs-12">'+
		    				  			'&nbsp; <span class="arrivada-person' + i +'">'+
		    				  				getElementArrivada (i, arrayDistances, "person") +
		    				  			'</span>'+	    				  			
		    				  		'</div>'+
   				  			'</div>' +  	   				  			
   				  		  '</div>';
   				  	
	    	return elmBody;
	    }
	    
		// Dibuixar l'arrivada
	    function getElementArrivada (pos, arrayDistances, tipus) {
	    	if (arrayDistances != null && arrayDistances.length > 0 && arrayDistances.length > pos) {
	    		return "<br/><b>Distancia: </b>" + arrayDistances[pos].distance + "&nbsp; - " +
	    			"<b>Temps : </b>" + arrayDistances[pos].duration;
	    	}	
	    	return "&nbsp;";
	    }
	    
		// Creacio del Panel Header + Panel Body
	    function createPanel (item, i, arrayDistances) {
	    	return  createHeading (item, i) + createBody (item, i, arrayDistances);
	    }
	    
		// Event de canvi en la ordenaci
		$(".dropdown-menu > li").click (function() {
			var elementClicked = $(this).find("a").attr("id");
			$(this).parents("ul").find("li").removeClass("active");
			$(this).addClass("active");
			$("#order-resta-name").html(elementClicked);
			globalOrder = elementClicked;
			calculateMatrixDistances (currentPos, elementClicked);
		});
		
		// Utilitzat per carregar la imatge
		function getGifArrivada (car) {
			if (car) {
				return '<img src="<%=request.getContextPath()%>/img/icons/pickup-32.png"></img>';
			} else {
				return '<img src="<%=request.getContextPath()%>/img/icons/person-walking.png"></img>';
			}
		}
		
    </script>