package com.menutoday;
import static org.junit.Assert.assertTrue;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;
import org.springframework.test.context.transaction.TransactionConfiguration;
import org.springframework.transaction.annotation.Transactional;

import com.menutoday.dao.UserDAO;

/**
 * 
 * @author igomezuoc
 *
 */
@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration({ "classpath:/spring/menuapp-applicationContext.xml" })
@TransactionConfiguration(defaultRollback = true)
@Transactional
public class DatabaseConnectionTest {

	@Autowired
	private UserDAO userDao;
	
	@Test
	public void testDatabaseUp () {
		assertTrue(userDao.getAllUsers().size() > 0);
	}
	
}


