package com.menutoday.service;

import java.net.URISyntaxException;
import java.util.List;

import com.menutoday.dao.bo.Menu;
import com.menutoday.dao.bo.Restaurant;
import com.menutoday.utils.PerfilType;

/**
 * 
 * @author igomezuoc
 *
 */
public interface MenuTodayService {

	PerfilType getPerfil(String name);
	
	List<Restaurant> getRestaurantsByUser (String user, String sorted);

	List<Menu> getMenusByUser(String user, String day) throws URISyntaxException;

	Restaurant isReservaInDay(String user, String day);
	
	void addReserva(String user, String day, int restaurant);

	void removeReserva(String user, String day);

	Restaurant getRestaurantsById(int id);

	List<Menu> getMenusById(int id, String day);

	List<Restaurant> getSolicituds(String user, String status);

	void approveSolicituds(String user, String ids);

}
