package com.menutoday.utils;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * 
 * @author igomezuoc
 *
 */
public class DateUtils {

	private static final SimpleDateFormat sdf = new SimpleDateFormat("dd/MM/yyyy");
	
	private static final SimpleDateFormat sdf2 = new SimpleDateFormat ("ddMMyyyy");
	
	public static Date getDateFromString (String inputDate) throws ParseException {
		return sdf.parse(inputDate);
	}
	
	public static String getFullDateAsString (Date date) {
		return sdf2.format(date);
	}
	
}
