<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@page import="java.util.List"%>
<%@ taglib prefix="decorator" uri="http://www.opensymphony.com/sitemesh/decorator" %>
<%@ taglib prefix="sec" uri="http://www.springframework.org/security/tags" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
	
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ca" lang="ca">
	<head>
		<meta http-equiv="Content-type" content="text/html; charset=utf-8" />
    	<meta name="viewport" content="width=device-width, initial-scale=1.0" />
   		<meta name="description" content="Pàgina Inicial Login" />
   		<meta name="author" content="Iván Gómez Lozano" />  		
		<title>App Menu Today - <decorator:title /></title>
   	 
		<!-- Common CSS -->
	    <!-- Bootstrap -->
		<link rel="stylesheet" href="<%=request.getContextPath()%>/css/bootstrap.min.css" type="text/css" media="screen" charset="utf-8" />
		
		 <!--Google Fonts-->
		<link rel="stylesheet" href='http://fonts.googleapis.com/css?family=Alef:400,700' type="text/css" media="screen" charset="utf-8" />
		
		<!-- Customitzat -->
		<link rel="stylesheet" href="<%=request.getContextPath()%>/css/snippet.css" type="text/css" media="screen" charset="utf-8" />
		
		<!-- Slide show -->
		<link rel="stylesheet" href="<%=request.getContextPath()%>/css/full-slider.css" type="text/css" media="screen" charset="utf-8" />
				
		 <!-- Time picker -->
		 <link rel="stylesheet" href="<%=request.getContextPath()%>/css/bootstrap-timepicker.min.css" type="text/css" media="screen" charset="utf-8" />
		
		
		<!-- Common JavaScript -->
	    <!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
		<script src="<%=request.getContextPath()%>/js/jquery.js"></script>
		<script src="<%=request.getContextPath()%>/js/bootstrap.min.js"></script>
		<script src="<%=request.getContextPath()%>/js/bootstrap-timepicker.min.js"></script>
		<script src="<%=request.getContextPath()%>/js/menutoday.js"></script>
		<script src="https://maps.googleapis.com/maps/api/js?v=3.exp&sensor=false&language=ca"></script>
		    
		<!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    	<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
	    <!--[if lt IE 9]>
	      <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
	      <script src="https://oss.maxcdn.com/libs/respond.js/1.3.0/respond.min.js"></script>
	    <![endif]-->
			
		<decorator:head/>
	</head>
	<body>	
		<decorator:body/>
	</body>
</html>