<!--
SNIPPETS
Name: Reserves d'un Restaurant
Version: 1.0
Created: 14 Abril 2014

AUTHOR
Design and code by: Ivan Gomez Lozano

CREDITS
Fonts: http://www.google.com/fonts (Alef)

SUPPORT
E-mail: gomezl.ivan@gmail.com
-->
 	<% session.setAttribute("screenTitle", "Reserves"); %>
	<%@include file="../../resta-navbar.jsp" %>
 

    <br/>
    <div class="container">
    
    <!-- 
		    The Bootstrap 3 grid system has four tiers of classes: xs (phones), sm (tablets), md (desktops), and lg (larger desktops). 
		    You can use nearly any combination of these classes to create more dynamic and flexible layouts.
     -->
     
     <div class="input-group input-group-lg">
  		<span class="input-group-addon"><i class="glyphicon glyphicon-time"></i></span>
  		<input id="timepicker1" type="text" class="form-control" readonly="readonly"  style="text-align: center;">
	</div>
     
     <br/>
    
    <!-- Creaci d'una fila amb el contigut del restaurant. Texte + Foto + Arribada + Valoraci -->

	<div class="panel panel-primary">		
		<div class="panel-heading">
			<b>Nom del Restaurant</b>
		</div>
		<div class="panel-body">
			<div class="row">
				<div class="col-xs-3 col-lg-3">
					<img src="img/thumbails/dummy1.jpg" style="min-height:50px;height:50px;">
				</div>
				<div class="col-xs-9 col-lg-9">
					Direcci Calle xxxx Nmero 34 fksdfsd fsd fsda fsda 
				</div>
			</div>
			<div class="row">
				<div class="col-xs-12">
					<br/>
					Reserves:<b>3</b> &nbsp;
				</div>
			</div>
		</div>
	</div>   

	<table class="table table-striped">
	<tbody>  
          <tr>  
            <td>
			  <div class="btn-group">
			    <button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown">
			      Filtre
			      <span class="caret"></span>
			    </button>
			    <ul class="dropdown-menu">
			      <li><a href="#">Empresa</a></li>
			      <li><a href="#">Hora Reserva</a></li>
			      <li><a href="#">Nom</a></li>
			    </ul>
			  </div>
			 </td> 
			<td align="right" style="vertical-align: middle;">Ordenaci client per ... </td>  			 
          </tr>
     </tbody>	
	</table>   

	<div class="panel panel-default">
      <!-- Default panel contents -->
      <div class="panel-heading">LListat de Clients amb Reserva</div>

      <!-- Table -->
      <table class="table">
        <thead>
          <tr>
            <th>Hora Reserva</th>
            <th>Nom</th>
            <th>Empresa</th>
            <th>Telfon</th>
            <th></th>
          </tr>
        </thead>
        <tbody>
          <tr>
             <td>13:24:23</td>
            <td>Mark Otto</td>
            <td>HP</td>
            <td>
            	937785348
            </td>
            <td>
            	<a href="tel:+34937785348">
            		<span class="glyphicon glyphicon-earphone"></span>
            	</a>
            </td>
          </tr>
          <tr>
            <td>13:27:23</td>
            <td>Pepe Thornton</td>
            <td>Ciudad deportiva club de padel Terrassa</td>
            <td>635365787</td>
            <td>&nbsp;</td>
          </tr>
          <tr>
            <td>13:29:23</td>
            <td>Larry the Bird</td>
            <td>Google</td>
            <td>645365787</td>
            <td>&nbsp;</td>
          </tr>
        </tbody>
      </table>
    </div>
	 

		<%@include file="../../footer.jsp" %>
    </div>

    
    <script>
	    $('#timepicker1').timepicker({
	        defaultTime: 'current',
	        minuteStep: 1,
	        secondStep: 1,
	        disableFocus: false,
	        showSeconds: true,
	        showMeridian: false
	    });
    </script>
