<!--
SNIPPETS
Name: Gesti Reserves
Version: 1.0
Created: 14 Abril 2014

AUTHOR
Design and code by: Ivan Gomez Lozano

CREDITS
Fonts: http://www.google.com/fonts (Alef)

SUPPORT
E-mail: gomezl.ivan@gmail.com
-->
	<%@page import="com.menutoday.utils.LoginUtils"%>
 	<% session.setAttribute("screenTitle", "Gesti Reserves"); %>
	<%@include file="../../navbar.jsp" %>

    <br/>
    <div class="container">
	     <div class="input-group input-group-lg">
	  		<span class="input-group-addon"><i class="glyphicon glyphicon-time"></i></span>
	  		<input id="datepicker2" data-provide="datepicker" class="form-control" readonly="readonly" type="text" style="text-align: center;">
	  		<input id="timepicker1" type="text" class="form-control" readonly="readonly"  style="text-align: center;">
		</div>       
	<br/>
	<div class="bs-reserva"></div>  
	<br/>
		<%@include file="../../footer.jsp" %>
    </div>

    
    <script>
    	// carregar el component de data i temps
	    $('#timepicker1').timepicker({
	        defaultTime: 'current',
	        minuteStep: 1,
	        secondStep: 1,
	        disableFocus: false,
	        showSeconds: true,
	        showMeridian: false,
	        showWidgetOnAddonClick: false
	    });
	    
    	// mostrar la data i hora actual
	    $('#datepicker2').val(showLocalDate());
	    
    	// Obtenir la reserva en cas que existeixi mitjanant json
	  	$.ajax ({
	    	url: "<%=request.getContextPath()%>/menutoday/users/rest/getReserva/<%=LoginUtils.getUserName()%>/" + showLocalDate2(),
	    	dataType: "json",
	    	success: function ( data ) {
	    		if (data.length > 0) {
		    		$.each (data, function(i, item) {
		    			window.location.href = "/menuapp/menutoday/users/reserves/?rest=" + item.id;
			    	});
	    		} else {
	    			$(".bs-reserva").append (createInfoMsg('No tens cap reserva per la data seleccionada.'));
	    		}
	    	},
	    	error: function () {
	    		alert ('Error getting JSON Data');
	    	}
	    	
	    }); 
    </script>
