<!--
SNIPPETS
Name: Gesti Reserves
Version: 1.0
Created: 14 Abril 2014

AUTHOR
Design and code by: Ivan Gomez Lozano

CREDITS
Fonts: http://www.google.com/fonts (Alef)

SUPPORT
E-mail: gomezl.ivan@gmail.com
-->
	<%@page import="com.menutoday.utils.LoginUtils"%>
 	<% session.setAttribute("screenTitle", "Gesti Reserves"); %>
	<%@include file="../../navbar.jsp" %>

	<%
		String idRestaurant = request.getParameter("rest");
	%> 

    <br/>
    <div class="container">

	<div class="bs-reserves"></div>

     <div class="input-group input-group-lg">
  		<span class="input-group-addon"><i class="glyphicon glyphicon-time"></i></span>
  		<input id="datepicker2" data-provide="datepicker" class="form-control" readonly="readonly" type="text" style="text-align: center;">
  		<input id="timepicker1" type="text" class="form-control" readonly="readonly"  style="text-align: center;">
	</div>       
	
	<br/>
	
	<div class="bs-reserva"></div>  

    <!-- Creaci d'una fila amb el contigut del restaurant. Texte + Foto + Arribada + Valoraci -->
	<div class="panel panel-primary">		
		<div class="panel-heading">
			<b>Nom del Restaurant</b>
		</div>
		<div class="panel-body">
			<div class="row">
				<div class="col-xs-4 col-md-1 col-lg-1">
					<div class="btn-group pull-center">
						<img id="thumbail-restaurant" src="" style="min-height:50px;height:50px;">
					</div>
				</div>
				<div class="col-xs-5  col-md-8 col-lg-8">
					<span class="direccio"></span>
					<br/>
					<span class="preu"><b>Preu: </b></span>
					<br/>
					<span class="servei-domicili"><b>Servei a domicili: </b></span>
				</div>
				<div class="col-xs-3  col-md-3 col-lg-3">
					<a id="modal-page" href="#">
						<img src="<%=request.getContextPath()%>/img/icon-play-png.png">
					</a>
				</div>
			</div>
		</div>
		<div class="panel-footer">
		  <div class="row">
		        <div class="col-xs-12">
					<span class="comentaris" style="float:right;"></span>
		        </div>
		      </div>
		 </div>		
	</div>    
	
	<!-- Modal -->
	<div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
	  <div class="modal-dialog">
	    <div class="modal-content">
	      <div class="modal-header">
	        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
	        <h4 class="modal-title" id="myModalLabel">Men del Dia</h4>
	      </div>
	      <div class="modal-body">
	        <img id="img-menu-dia" src="" class="img-responsive" />
	      </div>
	      <div class="modal-footer">
	        <button type="button" class="btn btn-default" data-dismiss="modal">Tancar</button>
	      </div>
	    </div>
	  </div>
	</div>
	
	<div class="modal fade" id="myModal-map" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
	  <div class="modal-dialog">
	    <div class="modal-content">
	      <div class="modal-header">
	        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
	        <h4 class="modal-title" id="myModalLabel">Mapa de Google</h4>
	      </div>
	      <div class="modal-body">
			<div class="container">
				<div class="row">
					<div id="outputDiv"></div>				
				</div>
          		<div class="row">   
            		 <div id="map-canvas"></div>
          		</div>
        	</div>
	      </div>
	      <div class="modal-footer">
	        <button type="button" class="btn btn-default" data-dismiss="modal">Tancar</button>
	      </div>
	    </div>
	  </div>
	</div>	
	
	<hr>
		<div class="accordion" id="menu2">
		  <div class="accordion-group">
		    <div class="accordion-heading">
		      <a class="accordion-toggle" data-toggle="collapse" data-parent="#menu2" href="#collapseMenu">Veure Men</a>
		    </div>
		    <div id="collapseMenu" class="accordion-body collapse">
		      <div class="accordion-inner">
		      		<h3>Primers Plats</h3>
						<ul class="list-group primers-plats"></ul>		      			
		      		<h2>Segons Plats</h2>
						<ul class="list-group segons-plats"></ul>		      		
		      		<h2>Postres</h2>
						<ul class="list-group postres"></ul>		
		      		<h2>Altres</h2>
						<ul class="list-group altres"></ul>									      		
		      </div>
		    </div>
		  </div>
		 </div>
	 <hr>
		  <div class="accordion-group">
		    <div class="accordion-heading">
		      <a class="accordion-toggle" data-toggle="collapse" data-parent="#menu2" href="#collapsePromo">Promocions</a>
		    </div>
		    <div id="collapsePromo" class="accordion-body collapse in">
		      <div class="accordion-inner">No tens promocions actives.</div>
		    </div>
		  </div>
	  <hr>
		<div class="panel-body">
			<div class="row">
				<div class="col-xs-4 col-lg-4">
					<div style="text-align: center;">
						<a id="restaurant-map" href="#myModal-map" data-toggle="modal">
							<span class="glyphicon glyphicon-map-marker" style="font-size:20px;"></span>
						</a>
						<br/>
						Mapa
					</div>
				</div>				
				<div class="col-xs-4 col-lg-4">
					<div style="text-align: center;">
						<a id="restaurant-telefon" href="">
							<span class="glyphicon glyphicon glyphicon-earphone" style="font-size:20px;"></span>
						</a>
						<br/>
						Trucar
					</div>
				</div>
				<div class="col-xs-4 col-lg-4">
					<div style="text-align: center;">
						<a href="#" onClick="javascript:alert('Comentaris no disponibles')">
							<span class="glyphicon glyphicon-star-empty" style="font-size:20px;"></span>
						</a>
						<br/>
						Comentaris
					</div>
				</div>				
			</div>
		</div>
	  <hr>
	
	<div class="span">
		<p><button id="bt-reserva" class="btn btn-primary btn-block" disabled="disabled">Reservar</button></p>
	</div>


		<%@include file="../../footer.jsp" %>
    </div>

    
    <script>
    
	$(document).ready(function(){
		// Centrar la posicio al mapa de google
		$("#myModal-map").on("shown.bs.modal", function () {
		    google.maps.event.trigger(map, "resize");
		});
		
		// Obrir la finestra modal amb la imatge del menu
		$('#modal-page').click (function() {
			$("#myModal").modal();
		});
		
		// Obrir la finesta modal per mostrar el mapa de google. (Inicializa el component i calcula les distancies)
		$('#restaurant-map').click (function() {
			initialize();
			calculateDistances();
		});
		
		// Event per donar resposta al bot de Reservar / Anular (reserves)
	    $('#bt-reserva').click (function() {
	    	if ($("#bt-reserva").html () == 'Reservar') {
		    	$.ajax ({
		        	url: "<%=request.getContextPath()%>/menutoday/users/rest/addReserva/<%=LoginUtils.getUserName()%>/" + showLocalDate2() + "/<%=idRestaurant%>",
		        	dataType: "json",
		        	type: "PUT",
		        	contentType: "application/json",
		        	success: function ( data ) {
		        		$(".bs-reserva").empty ();
		        		$(".bs-reserva").append (createSuccessMsg('Reserva confirmada.'));
		        		$("#bt-reserva").html ("Anular");
		        		window.scrollTo (0,0);
		        	},
		        	error: function () {
		        		alert ('Error getting JSON Data');
		        	}
		        });		    		
	    	} else {
		    	$.ajax ({
		        	url: "<%=request.getContextPath()%>/menutoday/users/rest/removeReserva/<%=LoginUtils.getUserName()%>/" + showLocalDate2(),
		        	dataType: "json",
		        	type: "DELETE",
		        	contentType: "application/json",
		        	success: function ( data ) {
		        		$(".bs-reserva").empty ();
		        		$(".bs-reserva").append (createSuccessMsg('Reserva anulada.'));
		        		$("#bt-reserva").html ("Reserva");
		        		window.scrollTo (0,0);
		        	},
		        	error: function () {
		        		alert ('Error getting JSON Data');
		        	}
		        });		    		
	    	}
	    });
		
	});
	
	//component per mostrar la data i hora
    $('#timepicker1').timepicker({
        defaultTime: 'current',
        minuteStep: 1,
        secondStep: 1,
        disableFocus: false,
        showSeconds: true,
        showMeridian: false,
        showWidgetOnAddonClick: false
    });
    
	// mostrar la data i hora
    $('#datepicker2').val(showLocalDate());
   
    // Obtenir la reserva per al usuari i la data seleccionada
  	$.ajax ({
    	url: "<%=request.getContextPath()%>/menutoday/users/rest/getReserva/<%=LoginUtils.getUserName()%>/" + showLocalDate2(),
    	dataType: "json",
    	success: function ( data ) {
    		if (data.length > 0) {
	    		$.each (data, function(i, item) {
	    			if (item.id != '<%=idRestaurant%>') {
		    			$(".bs-reserva").append (createInfoMsg('Tens una reserva confirmada en un restaurant per la data seleccionada.') + '<br/>' +
		    					'<a href="/menuapp/menutoday/users/reserves/?rest=' + item.id +' " >Veure Reserva</a>' +
		    					'<br/>'
		    			);	    				
	    			} else {
	    				$(".bs-reserva").append (createSuccessMsg('Reserva confirmada.'));
	    				$("#bt-reserva").html ("Anular");
	    				$("#bt-reserva").removeAttr ("disabled");
	    			}

		    	});
    		} else {
    			$("#bt-reserva").removeAttr ("disabled");
    		}
    	},
    	error: function () {
    		alert ('Error getting JSON Data');
    	}
    }); 
  	
    // Obtenir la informaci del restaurant
  	$.ajax ({
    	url: "<%=request.getContextPath()%>/menutoday/users/rest/getRestaurant/<%=idRestaurant%>",
    	dataType: "json",
    	success: function ( data ) {
    		if (data.length > 0) {
    			$.each (data, function(i, item) {
    				appendInfoRestaurant (item);
    				appendInfoMenu (item.id, showLocalDate2());
    			});
    		} else {
    			alert ('Error carregant la informaci del restaurant. Disculpi les molesties');
    		}
    	},
    	error: function () {
    		alert ('Error getting JSON Data');
    	}
    });
  	
  	// Dibuixar la informaci del restaurant obtingut per json
  	function appendInfoRestaurant (item) {
  		$(".panel-heading > b").html (item.nom);
  		$(".direccio").text (item.direccio + " (" + item.poblacio + ")");
  		$(".preu").append (item.preuMenu);
  		$(".servei-domicili").append (item.serveiDomicili);
  		$(".comentaris").append (createComentaris(item.valoracio));
  		$("#thumbail-restaurant").attr ("src", item.thumbail);
  		$("#restaurant-telefon").attr("href","tel:" + item.telefon);
  	}
  	
  	// Dibuixar la informaci del men obtingut per json
  	function appendInfoMenu (idRestaurant, day) {
  	  	$.ajax ({
  	    	url: "<%=request.getContextPath()%>/menutoday/users/rest/getMenu/" + idRestaurant + "/" + day,
  	    	dataType: "json",
  	    	success: function ( data ) {
  	    		if (data.length > 0) { 	    			
					$.each (data, function(i, item) {
						createListPlats (data[i].plats);
						appendImageMenu (data[i].image);
  	    			});  	    			
  	    		} else {
  	    			alert ('Error carregant la informaci del men. Disculpi les molesties');
  	    		}
  	    	},
  	    	error: function () {
  	    		alert ('Error getting JSON Data');
  	    	}
  	    });
  	}
  	
  	// Dibuixar la imatge que es mostrara a la pantalla modal
  	function appendImageMenu (image) {
  		$("#img-menu-dia").attr ("src", image);
  	}
  	
  	// Dibuixar la informaci dels plats que s'ha obtingut per json
  	function createListPlats (plats) {		
  		for (k in plats.primersPlats) {
  			appendPlat (plats.primersPlats[k], "primers-plats");
  		}
  		
		for (k in plats.segonsPlats) {
			appendPlat (plats.segonsPlats[k], "segons-plats");
		}

		for (k in plats.postres) {
			appendPlat (plats.postres[k], "postres");
		}
		
		for (k in plats.infoAdicional) {
			appendPlat (plats.infoAdicional[k], "altres");
		}
  	}
  	
  	// Dibuixar la informaci d'un nic plat (Funci reutilitzable)
  	function appendPlat (platName, className) {
  		$(".list-group." + className).append ('<li class="list-group-item">' + platName + '</li>');
  	}
  	
  	// geolocation
    var currentPos = null;

	// geolocation
	if (navigator.geolocation) {
		var timeoutVal = 10 * 1000 * 1000;
		navigator.geolocation.getCurrentPosition(
			displayPosition, 
			displayError,
			{ enableHighAccuracy: true, timeout: timeoutVal, maximumAge: 0 }
		);
	}
	else {
		alert("Geolocation no est suportat en aquest navegador.");
	}

	// Dibuixar missatge d'error en cas que geolocalitzaci no funcioni
	function displayError(error) {
		currentPos=null;
		var errors = { 
			1: 'Denegat Accs a la ubicaci',
			2: 'Posici no disponible.',
			3: 'Temps mxim espera esgotat'
		};
		$(".bs-reserves").append (createWarningMsg(errors[error.code]));
	}

	// Obtenir la posicio del geolocation
	function displayPosition (position) {
		currentPos = new google.maps.LatLng(position.coords.latitude, position.coords.longitude);
		$(".bs-reserves").empty ();
	} 	
  	
  	// google maps. El segent codi invoca a les funcions de l'api de google per a poder mostrar el mapa amb 2 markers
  	// El primer marker ser la coordenada actual on es troba el mobil (latitud i longitud)
  	// El segon marker ser la coordenada on es trova el restaurant. (Google ens obliga a mostrar en un mapa les coordenades si fem us del servei DistanceMatrix)
  	var map;
  	var geocoder;
  	var bounds = new google.maps.LatLngBounds();
  	var markersArray = [];

  	//var destinationA = 'Carrer Can marques,30 (Collbato)';
  	var destinationIcon = 'https://chart.googleapis.com/chart?chst=d_map_pin_letter&chld=D|FF0000|000000';
  	var originIcon = 'https://chart.googleapis.com/chart?chst=d_map_pin_letter&chld=O|FFFF00|000000';

  	function initialize() {
  	  var opts = {
  	    //center: new google.maps.LatLng(55.53, 9.4),
  	    center : currentPos,
  	    zoom: 15,
  	  	mapTypeId:google.maps.MapTypeId.ROADMAP
  	  };
  	  map = new google.maps.Map(document.getElementById('map-canvas'), opts);
  	  geocoder = new google.maps.Geocoder();
  	  
	  	/*if (navigator.geolocation) {
	        navigator.geolocation.getCurrentPosition(function (position) {
	            initialLocation = new google.maps.LatLng(position.coords.latitude, position.coords.longitude);
	            map.setCenter(initialLocation);
	        });
	    }*/
  	  
  	}

  	function calculateDistances() {
  	  var service = new google.maps.DistanceMatrixService();
  	  service.getDistanceMatrix(
  	    {
  	      origins: [currentPos],
  	      destinations: [$(".direccio").text()],
  	      travelMode: google.maps.TravelMode.WALKING,
  	      unitSystem: google.maps.UnitSystem.METRIC,
  	      avoidHighways: false,
  	      avoidTolls: false
  	    }, callback);
  	}

  	function callback(response, status) {
  	  if (status != google.maps.DistanceMatrixStatus.OK) {
  	    alert('Error was: ' + status);
  	  } else {
  	    var origins = response.originAddresses;
  	    var destinations = response.destinationAddresses;
  	    var outputDiv = document.getElementById('outputDiv');
  	    outputDiv.innerHTML = '';
  	    deleteOverlays();

  	    for (var i = 0; i < origins.length; i++) {
  	      var results = response.rows[i].elements;
  	      addMarker(origins[i], false);
  	      for (var j = 0; j < results.length; j++) {
  	        addMarker(destinations[j], true);
  	      }
  	    }
  	    appendDescriptionRoute (origins, destinations, response);
  	  }
  	}

  	function appendDescriptionRoute (origins, destinations, response) {
  		var result = "<b>Origen: </b>" + origins[0] + "<br/>";
  		result += "<b>Dest: </b>" + destinations[0] + "<br/>";
  		result += "<b>Distancia i temps: </b>" + response.rows[0].elements[0].distance.text + "&nbsp; - &nbsp;" 
  			+ response.rows[0].elements[0].duration.text;
  		outputDiv.innerHTML = result;
  	}
  	
  	function addMarker(location, isDestination) {
  	  var icon;
  	  if (isDestination) {
  	    icon = destinationIcon;
  	  } else {
  	    icon = originIcon;
  	  }
  	  geocoder.geocode({'address': location}, function(results, status) {
  	    if (status == google.maps.GeocoderStatus.OK) {
  	      bounds.extend(results[0].geometry.location);
  	      map.fitBounds(bounds);
  	      var marker = new google.maps.Marker({
  	        map: map,
  	        position: results[0].geometry.location,
  	        icon: icon
  	      });
  	      markersArray.push(marker);
  	    } else {
  	      alert('Geocode was not successful for the following reason: '
  	        + status);
  	    }
  	  });
  	}

  	function deleteOverlays() {
  	  for (var i = 0; i < markersArray.length; i++) {
  	    markersArray[i].setMap(null);
  	  }
  	  markersArray = [];
  	}
  	//google.maps.event.addDomListener(window, 'load', initialize);
  	
    </script>
